ALSA project - the C library reference

Functions
dlmisc.c File Reference

dynamic loader helpers More...

## Functions
int | snd_dlpath (char *path, size_t path_len, const char *name)
| Compose the dynamic path. More...
void * | snd_dlopen (const char *name, int mode, char *errbuf, size_t errbuflen)
| Opens a dynamic library - ALSA wrapper for `dlopen`. More...
| use_symbol_version (__snd_dlopen_old, snd_dlopen, ALSA_0.9)
int | snd_dlclose (void *handle)
| Closes a dynamic library - ALSA wrapper for `dlclose`. More...
void * | snd_dlsym (void *handle, const char *name, const char *version)
| Resolves a symbol from a dynamic library - ALSA wrapper for `dlsym`. More...

## Detailed Description

dynamic loader helpers

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2001

Dynamic loader helpers